Subject: Offline Message from Michael Guzman: I've been trying to get in touch with yo
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 03 Jun 2022 23:31:40 -0000

From: Michael Guzman <[email-masked]>
Phone: 2607027238
Location: Southfield, United States
URL: https://swagtron.com/electric-bikes
Department: SwagTron

I've been trying to get in touch with you in regards to parts for a swagtron eb7 commuter red and black my son has one and the rear swing arm one of the braces that holds the rear wheel has broken off I'm trying to order a replacement part or see where I can take it to have it fixed please contact me at my email Michael [email-masked] thank you very much have a nice day

----
Zopim
https://www.zopim.com